%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           telepathy-gabble
Version:        0.8.8
Release:        1
BuildArch:	i686
Summary:        A Jabber/XMPP connection manager
Group:          Networking/Instant Messaging
# The entire source code is LGPLv2+, except src/libmd5-rfc/ and src/sha1/ which are BSD.
License:        LGPLv2+ and (BSD)
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  libloudmouth-devel
BuildRequires:  telepathy-glib-devel
BuildRequires:  glib-devel
#BuildRequires:  libuuid-devel
BuildRequires:  libsoup-devel libxml2-devel gnutls-devel libtasn1-devel libgpg-error-devel libidn-devel libgcrypt-devel openssl-devel
BuildRequires:  libxslt
BuildRequires:  python26
Requires:	telepathy-filesystem

%description
A Jabber/XMPP connection manager, that handles single and multi-user
chats and voice calls.


%prep
%setup -q


%build
%configure PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

## Don't package html doc to incorrect doc directory
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}/*.html

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%doc docs/*.html
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/*.manager
%{_mandir}/man8/%{name}.8.gz


%changelog
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 0.8.8-1
- Initial CCux package release
